# Retrieve a scheduled event by ID Endpoint: GET /events/scheduled-events/{id} Version: 2026-02-20 Security: bearerAuth ## Header parameters: - `Accept-Encoding` (string) Include the Accept-Encoding: gzip header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response. If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a Content-Encoding header with the compression algorithm so that your client can decompress it. - `Content-Encoding` (string) Include the Content-Encoding: gzip header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload. - `Zuora-Entity-Ids` (string) An entity ID. If you have Zuora Multi-entity enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header. - `Zuora-Org-Ids` (string) Comma separated IDs. If you have Zuora Multi-Org enabled, you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header. The IDs must be a sub-set of the user's accessible orgs. If you specify an org that the user does not have access to, the operation fails. This header is important in Multi-Org (MO) setups because it defines the organization context under which the API should operate—mainly used for read access or data visibility filtering. If the header is not set, the operation is performed in scope of the user's accessible orgs. - `Zuora-Track-Id` (string) A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue. The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), and quote ('). ## Path parameters: - `id` (string, required) The ID of the scheduled event. ## Response 200 fields (application/json): - `active` (boolean) Indicate whether the scheduled event is active or inactive Example: true - `apiField` (string) The base field of the base object in the apiObject field, should be in date or timestamp format. The scheduled event notifications are triggered based on this date and the event parameters (before or after a specified number of days) from notification definitions. Should be specified in the pattern: ^[A-Z][\\w\\-]*$ Example: "TermEndDate" - `apiObject` (string) The base object that the scheduled event is defined upon. The base object should contain a date or timestamp format field. Should be specified in the pattern: ^[A-Z][\\w\\-]*$ Example: "Subscription" - `condition` (string) The filter rule conditions, written in [JEXL](http://commons.apache.org/proper/commons-jexl/). The scheduled event is triggered only if the condition is evaluated as true. The rule might contain event context merge fields and data source merge fields. Data source merge fields must be from [the base object of the event or from the joined objects of the base object](https://knowledgecenter.zuora.com/DC_Developers/M_Export_ZOQL#Data_Sources_and_Objects). Scheduled events with invalid merge fields will fail to evaluate, thus will not be triggered. For example, to trigger an invoice due date scheduled event to only invoices with an amount over 1000, you would define the following condition: Invoice.Amount > 1000.0 Invoice.Amount refers to the Amount field of the Zuora object Invoice. Example: "Subscription.Status == _SUBSCRIPTION_STATUS" - `cronExpression` (string) The cron expression defines the time when scheduled event notifications will be sent. Example: "0 30 10 ? * *" - `description` (string) The description of the scheduled event. Example: "Trigger a scheduled event at 10:30 AM based on TermEndDate of subscription objects." - `displayName` (string) The display name of the scheduled event. Example: "Term End Date Scheduled Event" - `id` (string) Scheduled event ID. Example: "d306545b74e445e4bffcf1c7609804be" - `name` (string) The name of the scheduled event. Example: "TermEndDateScheduledEvent" - `namespace` (string) The namespace of the scheduled event name in the name field. Example: "user.notification" - `parameters` (object) The parameter definitions of the filter rule. The names of the parameters must match with the filter rule and can't be duplicated. You should specify all the parameters when creating scheduled event notifications. Example: {"_SUBSCRIPTION_STATUS":{"description":"The status of the subscription","displayName":"Subscription Status","options":["Draft","Active","Pending","Expired","Cancelled"],"valueType":"STRING"}} ## Response 404 fields (application/json): - `reasons` (array) Example: [{"code":"ObjectNotFound","message":"Notification definition with id 6e569e1e05f040eda51a927b140c0ac1 does not exist"}] - `reasons.code` (string) The error code of response. - `reasons.message` (string) The detail information of the error response ## Response 500 fields (application/json): - `reasons` (array) Example: [{"code":"ObjectNotFound","message":"Notification definition with id 6e569e1e05f040eda51a927b140c0ac1 does not exist"}] - `reasons.code` (string) The error code of response. - `reasons.message` (string) The detail information of the error response